#ifndef JLIST_H
#define JLIST_H
/*
 * Antonio Ospite 408/244
 * 
 * jlist.h: gestione di una lista di job
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#ifndef	MAXLINE
#define	MAXLINE	80
#endif


/*
 * Definizione dei tipi utilizzati 
 */
typedef struct __job_node
{
  pid_t pid;
  char name[MAXLINE];
  char *status;
  struct __job_node *jnext;
}
job_node;

typedef struct __joblist
{
  /*
     * il tipo lista 
   */
  job_node *Head;
  job_node *Tail;
  int elements;
}
joblist;



/*
 * prototipi delle funzioni di creazione ed accesso alla lista 
 */
int make_joblist (joblist *);
int add_job_to_list (joblist *, pid_t, char *, char *);
int rm_job_from_list (joblist *, pid_t);
int change_job_status (joblist *, pid_t, char *);
int has_job_status (joblist *, pid_t, char *);
void printlist (joblist *);

#endif
